Skip to main content
`Ctrl`+`K`

# MatCreateSubMatrixOption

Indicates if matrices obtained from a call to `MatCreateSubMatrices()` include the matrix values. Currently it is only used by `MatGetSeqNonzeroStructure()`.

## Synopsis

    typedef enum {
      MAT_DO_NOT_GET_VALUES,
      MAT_GET_VALUES
    } MatCreateSubMatrixOption;

## Values

- `MAT_DO_NOT_GET_VALUES` - do not copy the matrix values

- `MAT_GET_VALUES` - copy the matrix values

## Developer Note

Why is not just a boolean used for this information?

## See Also

Matrices, `Mat`, `MatDuplicateOption`, `PetscCopyMode`, `MatGetSeqNonzeroStructure()`

## Level

developer

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages